## org.eclipse.amp.agf
Class GenericGraphicsProvider

    java.lang.Object
      org.eclipse.amp.agf.GenericGraphicsProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IColorProvider, org.eclipse.jface.viewers.ILabelProvider

Direct Known Subclasses:
  AscapeGraphicsProvider

    public class GenericGraphicsProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.IColorProvider

Field Summary
`static org.eclipse.swt.graphics.Image` `AGENT_IMAGE`
`static org.eclipse.swt.graphics.Image` `GRAPH_IMAGE`
`static org.eclipse.swt.graphics.Image` `GRID_IMAGE`
`static org.eclipse.swt.graphics.Image` `LIST_IMAGE`
`static org.eclipse.swt.graphics.Image` `SCAPE_IMAGE`
`static org.eclipse.swt.graphics.Image` `SPACE_IMAGE`

Constructor Summary
`GenericGraphicsProvider()`

Method Summary
`void` `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `dispose()`
`org.eclipse.swt.graphics.Color` `getBackground(java.lang.Object element)`
`static GenericGraphicsProvider` `getDefault()`
`org.eclipse.swt.graphics.Color` `getForeground(java.lang.Object element)`
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGENT_IMAGE

    public static final org.eclipse.swt.graphics.Image AGENT_IMAGE

### SCAPE_IMAGE

    public static final org.eclipse.swt.graphics.Image SCAPE_IMAGE

### LIST_IMAGE

    public static final org.eclipse.swt.graphics.Image LIST_IMAGE

### SPACE_IMAGE

    public static final org.eclipse.swt.graphics.Image SPACE_IMAGE

### GRAPH_IMAGE

    public static final org.eclipse.swt.graphics.Image GRAPH_IMAGE

### GRID_IMAGE

    public static final org.eclipse.swt.graphics.Image GRID_IMAGE

Constructor Detail

### GenericGraphicsProvider

    public GenericGraphicsProvider()

Method Detail

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `ILabelProvider.getText(java.lang.Object)`

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `ILabelProvider.getImage(java.lang.Object)`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Parameters:
    `listener` -
  See Also:
    `IBaseLabelProvider.addListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.dispose()`

### getForeground

    public org.eclipse.swt.graphics.Color getForeground(java.lang.Object element)

  Specified by:
    `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `IColorProvider.getForeground(java.lang.Object)`

### getBackground

    public org.eclipse.swt.graphics.Color getBackground(java.lang.Object element)

  Specified by:
    `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `IColorProvider.getBackground(java.lang.Object)`

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Parameters:
    `element` -
    `property` -
  Returns:
  See Also:
    `IBaseLabelProvider.isLabelProperty(java.lang.Object, java.lang.String)`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Parameters:
    `listener` -
  See Also:
    `IBaseLabelProvider.removeListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### getDefault

    public static GenericGraphicsProvider getDefault()